LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XTopWindow Interface Referencepublished

manages the functionality specific for a top window. More...

`import"XTopWindow.idl";`

Inheritance diagram for XTopWindow:

## Public Member Functions
void | addTopWindowListener ([in] com::sun::star::awt::XTopWindowListener xListener)
| adds the specified top window listener to receive window events from this window. More...
void | removeTopWindowListener ([in] com::sun::star::awt::XTopWindowListener xListener)
| removes the specified top window listener so that it no longer receives window events from this window. More...
void | toFront ()
| places this window at the top of the stacking order and shows it in front of any other windows. More...
void | toBack ()
| places this window at the bottom of the stacking order and makes the corresponding adjustment to other visible windows. More...
void | setMenuBar ([in] com::sun::star::awt::XMenuBar xMenu)
| sets a menu bar. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

manages the functionality specific for a top window.

Developers Guide
  OfficeDev - Component - Window Interfaces
  OfficeDev - Frames - Linking Components and Windows
  OfficeDev - Windows

## Member Function Documentation

void addTopWindowListener | ( | [in] com::sun::star::awt::XTopWindowListener | xListener | ) |

adds the specified top window listener to receive window events from this window.

void removeTopWindowListener | ( | [in] com::sun::star::awt::XTopWindowListener | xListener | ) |

removes the specified top window listener so that it no longer receives window events from this window.

void setMenuBar | ( | [in] com::sun::star::awt::XMenuBar | xMenu | ) |

sets a menu bar.

void toBack | ( |  | ) |

places this window at the bottom of the stacking order and makes the corresponding adjustment to other visible windows.

void toFront | ( |  | ) |

places this window at the top of the stacking order and shows it in front of any other windows.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTopWindow.idl